<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: zfilter.php 107 2008-08-11 08:41:23Z lks $
 */


/**
 * Интерфейс фильтра
 *
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
interface zfilter {
    /**
     * Метод форматирует текст в соответствии со своим алгоритмом в xHTML
     *
     * @param string $text оформляемый текст
     * @return string оформленный текст
     */
    public function filter ($text);
}
